package com.trade.admin.customer.domain;

import com.trade.common.core.page.PageDomain;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class SearchCustomerAssign extends PageDomain {

    /**
     * 状态:0-待认领,1-已认领,2-已分配,3-已移交
     */
    @ApiModelProperty(name = "bdAssignStatus", value = "业务经理分配状态(0-待认领,1-已认领,2-已分配,3-已移交)")
    private Integer bdAssignStatus;
    @ApiModelProperty(name = "rcAssignStatus", value = "风控经理分配状态(0-待认领,1-已认领,2-已分配,3-已移交)")
    private Integer rcAssignStatus;
    /**
     * BD名称
     */
    @ApiModelProperty(name = "bdUserName", value = "业务经理名称")
    private String bdUserName;
    /**
     * RC名称
     */
    @ApiModelProperty(name = "rcUserName", value = "风控经理名称")
    private String rcUserName;
    /**
     * 昵称
     */
    private String nickname;
    /**
     * 企业名称
     */
    private String enterpriseCn;
    /**
     * 当前登录用户角色
     */
    private String currentLoginUserRole;
    /**
     * 当前登录用户ID
     */
    private Long currentLoginUserId;
    /** 账号唯一标识 **/
    private String identifierNo;
}
