package com.trade.admin.customer.dto;

import com.trade.admin.system.domain.entity.SysUser;
import com.trade.common.validate.ValidatorGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import java.util.List;

/**
 * @description: 客户移交Vo
 * @Author: wanglang
 * @Date: 2024/6/3
 * @Version: 1.0
 */
@Data
public class CustomerTransferVo {

    @ApiModelProperty(name = "bdUserIdSource", value = "BD用户ID（B端用户）旧的")
    private Long bdUserIdSource;
    @ApiModelProperty(name = "bdUserNameSource", value = "BD用户名称（B端用户）旧的")
    private String bdUserNameSource;
    @ApiModelProperty(name = "rcUserIdSource", value = "RC用户ID（B端用户）旧的")
    private Long rcUserIdSource;
    @ApiModelProperty(name = "rcUserNameSource", value = "RC用户名称（B端用户）旧的")
    private String rcUserNameSource;
    @ApiModelProperty(name = "bdUserIdNew", value = "BD用户ID（B端用户）新的")
    private Long bdUserIdNew;
    @ApiModelProperty(name = "bdUserNameNew", value = "BD用户名称（B端用户）新的")
    private String bdUserNameNew;
    @ApiModelProperty(name = "rcUserIdNew", value = "RC用户ID（B端用户）新的")
    private Long rcUserIdNew;
    @ApiModelProperty(name = "rcUserNameNew", value = "RC用户名称（B端用户）新的")
    private String rcUserNameNew;
    @ApiModelProperty(name = "customerAssignId", value = "客户分配ID")
    private Long customerAssignId;
    @ApiModelProperty(name = "业务经理列表", value = "业务经理列表")
    private List<SysUser> bdList;
    @ApiModelProperty(name = "风控经理列表", value = "风控经理列表")
    private List<SysUser> rcList;
    @Length(max = 500, message = "备注不能超过500个字符", groups = ValidatorGroup.Update.class)
    @ApiModelProperty(name = "remark", value = "备注")
    private String remark;
}
