package com.trade.admin.purchase.dto;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.trade.common.core.page.PageDomain;

/**
 * 采购合同查询条件
 */
public class PurchaseContractSearchDto extends PageDomain {

    /**
     * 合同编号或者合同名称
     */
    private String contractInfo;
    /**
     * 客户id或者客户名称
     */
    private String customerUserInfo;
    /**
     * 合同状态,枚举：purchase_contract_status
     */
    private String contractStatus;
    /**
     * 供应商编码
     */
    private String vendorEntityNo;
    /**
     * 代理公司统一社会信用代码/注册号
     */
    private String agencyCertNo;
    /**
     * 开始时间 (提交时间)
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtSubmitStart;
    /**
     * 结束时间 (提交时间)
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtSubmitEnd;

    public String getContractInfo() {
        return contractInfo;
    }

    public void setContractInfo(String contractInfo) {
        this.contractInfo = contractInfo;
    }

    public String getCustomerUserInfo() {
        return customerUserInfo;
    }

    public void setCustomerUserInfo(String customerUserInfo) {
        this.customerUserInfo = customerUserInfo;
    }

    public String getContractStatus() {
        return contractStatus;
    }

    public void setContractStatus(String contractStatus) {
        this.contractStatus = contractStatus;
    }

    public String getVendorEntityNo() {
        return vendorEntityNo;
    }

    public void setVendorEntityNo(String vendorEntityNo) {
        this.vendorEntityNo = vendorEntityNo;
    }

    public String getAgencyCertNo() {
        return agencyCertNo;
    }

    public void setAgencyCertNo(String agencyCertNo) {
        this.agencyCertNo = agencyCertNo;
    }

    public Date getGmtSubmitStart() {
        return gmtSubmitStart;
    }

    public void setGmtSubmitStart(Date gmtSubmitStart) {
        this.gmtSubmitStart = gmtSubmitStart;
    }

    public Date getGmtSubmitEnd() {
        return gmtSubmitEnd;
    }

    public void setGmtSubmitEnd(Date gmtSubmitEnd) {
        this.gmtSubmitEnd = gmtSubmitEnd;
    }
}
