package com.trade.admin.purchase.service;

import com.trade.admin.purchase.dto.PurchaseContractSearchDto;
import com.trade.common.core.page.GridPage;
import com.trade.service.purchase.dto.PurchaseContractDetailDto;
import com.trade.service.purchase.dto.PurchaseContractDto;

/**
 * 采购合同表基础表服务接口
 *
 * @author hlb
 * @since 2024-09-07 16:30:38
 */
public interface PurchaseContractService {
    /**
     * 获取采购合同列表
     *
     * @param searchDto 采购合同搜索条件
     * @return 采购合同列表
     */
    GridPage<PurchaseContractDto> getPurchaseContractBySearch(PurchaseContractSearchDto searchDto);

    /**
     * 根据id获取采购合同详情
     * @param id
     * @return
     */
    PurchaseContractDetailDto findPurchaseContractDetailById(Long id);
}
