package com.trade.admin.salecontract.service;

import com.trade.common.core.page.GridPage;
import com.trade.service.sales.dto.ContractSearchDto;
import com.trade.service.sales.vo.SalesContractInfoVo;
import com.trade.service.sales.vo.SalesContractVo;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/9/7 10:19
 * @Version: 1.0
 */
public interface BSaleContractService {

    /**
     * 分页查询销售合同信息
     *
     * @param contractSearch 合同查询条件
     * @return 销售合同信息
     */
    GridPage<SalesContractVo> getSalesContractPage(ContractSearchDto contractSearch);

    /**
     * 根据合同id获取销售合同基本信息
     *
     * @param contractId 合同id
     * @return 销售合同基本信息
     */
    SalesContractInfoVo getSalesContractDetails(Long contractId);
}
