package com.trade.admin.system.controller;

import com.trade.common.config.TradeConfig;
import com.trade.common.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

/**
 * 首页
 *
 * @author wl
 */
@ApiIgnore
@RestController
public class SysIndexController {

    /** 系统基础配置 */
    @Autowired
    private TradeConfig tradeConfig;

    /**
     * 访问首页，提示语
     */
    @RequestMapping("/")
    public String index() {
        return StringUtils.format("欢迎使用{}后台管理系统，当前版本：v{}，请通过前端地址访问。", tradeConfig.getName(), tradeConfig.getVersion());
    }
}
