package com.trade.admin.tradingPlatform.service;


import com.trade.common.core.page.GridPage;
import com.trade.service.tradingPlatform.dto.TradingPlatformBaseInfo;
import com.trade.service.tradingPlatform.dto.TradingPlatformDto;
import com.trade.service.tradingPlatform.dto.TradingPlatformSearchDto;

/**
 * 贸易平台服务接口
 *
 * @author hlb
 * @since 2024-06-05 17:00:43
 */
public interface TradingPlatformService {
    /**
     * 贸易平台基础信息列表查询
     *
     * @param search
     * @return
     */
    GridPage<TradingPlatformBaseInfo> getPages(TradingPlatformSearchDto search);

    /**
     * 根据id查询贸易平台详细信息
     *
     * @param id
     * @return
     */
    TradingPlatformDto queryById(Long id);

    /**
     * 新增、编辑贸易平台
     *
     * @param tradingPlatformDto
     * @return
     */
    Long saveTradingPlatform( Boolean confirmed, TradingPlatformDto tradingPlatformDto);
}

