package com.trade.client;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.openfeign.EnableFeignClients;


@SpringBootApplication(exclude = {
        DataSourceAutoConfiguration.class
}, scanBasePackages = {
        "com.trade.*"
})
@MapperScan({
        "com.trade.client.*.mapper", "com.trade.service.*.mapper"
})
@EnableFeignClients
public class TradeClientApplication {

    public static void main(String[] args) {
        SpringApplication.run(TradeClientApplication.class, args);
    }
}
