/**
 * @filename:CreditQuotaLogic 2024-06-11
 * @project trade-client V1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.client.advocacypage.domain;

import com.baomidou.mybatisplus.annotation.TableName;

import com.trade.common.core.domain.CommonEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 客户预估授信额度实体类
 * @version: V1.0
 * @author: wanglang
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("c_credit_quota_logic")
public class CreditQuotaLogic extends CommonEntity<CreditQuotaLogic> {

    private static final long serialVersionUID = 1718086828835L;
    @ApiModelProperty(name = "dimension", value = "维度")
    private String dimension;
    @ApiModelProperty(name = "estimateScore", value = "评估分值")
    private Double estimateScore;
    @ApiModelProperty(name = "remark", value = "标准设定备注")
    private String remark;
    @ApiModelProperty(name = "standardScore", value = "标准分值")
    private Double standardScore;
    @ApiModelProperty(name = "standardSetting", value = "标准设定")
    private String standardSetting;
    @ApiModelProperty(name = "weight", value = "权重")
    private Double weight;
}
