/**
 * @filename:CreditScoreQuota 2024-06-11
 * @project trade-client V1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.client.advocacypage.domain;

import com.baomidou.mybatisplus.annotation.TableName;

import com.trade.common.core.domain.CommonEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description:授信分数额度实体类
 * @version: V1.0
 * @author: wanglang
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("c_credit_score_quota")
public class CreditScoreQuota extends CommonEntity<CreditScoreQuota> {

    private static final long serialVersionUID = 1718087625848L;
    @ApiModelProperty(name = "currencyCode", value = "币种代码")
    private String currencyCode;
    @ApiModelProperty(name = "endScore", value = "分数区间结束")
    private Double endScore;
    @ApiModelProperty(name = "quota", value = "额度")
    private String quota;
    @ApiModelProperty(name = "startScore", value = "分数区间开始")
    private Double startScore;
}
