package com.trade.client.advocacypage.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @description: 授信额度
 * @Author: wanglang
 * @Date: 2024/6/11 10:36
 * @Version: 1.0
 */
@Data
public class CreditQuotaContext {

    /**
     * 金额
     */
    @ApiModelProperty(name = "amount", value = "金额")
    private BigDecimal amount = BigDecimal.ZERO;
    /**
     * 币种
     */
    @ApiModelProperty(name = "currency", value = "币种")
    private String currency = "USD";
    /**
     * 分数
     */
    @ApiModelProperty(name = "score", value = "分数")
    private double score = 0.00;
}
