/**
 * @filename:CreditScoreQuotaService 2024-06-11
 * @project trade-client V1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.client.advocacypage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.client.advocacypage.domain.CreditScoreQuota;
import com.trade.client.advocacypage.dto.CreditQuotaContext;
import com.trade.client.advocacypage.dto.EstimatedCreditQuotaDto;

/**
 * @Description:授信分数额度服务层
 * @version: V1.0
 * @author: wanglang
 */
public interface CreditScoreQuotaService extends IService<CreditScoreQuota> {

    /**
     * 获取授信预估额度
     * 
     * @param quotaDto 条件信息
     * @return 授信预估额度
     */
    CreditQuotaContext getCreditScoreQuota(EstimatedCreditQuotaDto quotaDto);
}
