package com.trade.client.companyrelated.service;




import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.trade.service.companyrelated.domain.BizEntityRelated;
import com.trade.service.companyrelated.domain.vo.BizEntityRelatedSearch;
import com.trade.service.companyrelated.domain.vo.BizEntityRelatedVO;

import java.util.List;


/**
 * <p>
 * 关系企业信息 服务类
 * </p>
 *
 * @author baomidou
 * @since 2024-05-28
 */
public interface CBizEntityRelatedService extends IService<BizEntityRelated> {

    /**
     * 新增关系企业信息
     * 
     * @param addBizEntity 关系企业信息VO
     */
    void add(BizEntityRelatedVO addBizEntity);


    /**
     * 更新关系企业信息
     * 
     * @param addBizEntity 关系企业信息VO
     */
    void update(BizEntityRelatedVO addBizEntity);

    /**
     * 根据关系企业ID删除关系企业信息
     * 
     * @param bizEntityId 关系企业ID
     */
    void deleteByBizEntityId(Long bizEntityId);

    PageInfo<BizEntityRelated> queryListBySearch(BizEntityRelatedSearch search);

    /**
     * 根据用户ID获取关系企业信息列表
     *
     * @param userId Long 用户ID
     * @return List<BizEntityRelated>
     */
    List<BizEntityRelated> getRelatedListByUserId(Long userId);


    /**
     * 根据关系企业ID获取关系企业信息
     *
     * @param bizEntityId 关系企业ID
     * @return BizEntityRelatedVO
     */
    BizEntityRelatedVO getByBizEntityId(Long bizEntityId);
}
