package com.trade.client.companyrelated.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.trade.service.companyrelated.domain.ImporterEntity;
import com.trade.service.companyrelated.domain.VendorEntity;
import com.trade.service.companyrelated.domain.vo.ImporterEntitySearch;
import com.trade.service.companyrelated.domain.vo.VendorEntitySearch;

/**
 * <p>
 * 供应商信息 C端 服务类
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-03
 */
public interface VendorEntityCService extends IService<VendorEntity> {

    /**
     * 新增供应商企业信息
     * 
     * @param addEntity 供应商信息VO
     */
    void add(VendorEntity addEntity);

    /**
     * 更新供应商信息
     * 
     * @param addEntity 供应商信息VO
     */
    void update(VendorEntity addEntity);

    /**
     * 分页查询
     * 
     * @param search 供应商信息搜索条件
     * @return PageInfo<VendorEntity>
     */
    PageInfo<VendorEntity> queryListBySearch(VendorEntitySearch search);

    /**
     * 根据用户ID获取供应商信息列表
     *
     * @param userId Long 用户ID
     * @return List<BizEntityRelated>
     */
    List<VendorEntity> getListByUserId(Long userId);

    /**
     * 根据供应商ID获取供应商信息
     *
     * @param entityId 供应商ID
     * @return BizEntityRelatedVO
     */
    VendorEntity getByEntityId(Long entityId);
}
