/**
 * @filename:CustomerUserMapper 2024年04月01日
 * @project trade-client V1.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.client.consumer.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.client.consumer.domain.CustomerUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Description:客户信息数据访问层
 * @version: V1.0
 * @author: wanglang
 * @date: 2024年04月01日
 */
@Mapper
public interface CustomerUserMapper extends BaseMapper<CustomerUser> {

    /**
     * 根据手机号/昵称查询客户信息
     * 
     * @param phoneNumber 手机号码
     * @param nickname 昵称
     * @return CustomerUser
     */
    CustomerUser selectByPhoneAndName(@Param("phoneNumber") String phoneNumber, @Param("nickname") String nickname);

    /**
     * 根据手机号或昵称/会员名称查询
     *
     * @param userName 手机号或昵称
     * @return customerUser
     */
    CustomerUser selectByPhoneOrName(@Param("userName") String userName);
}
