package com.trade.client.consumer.service;

/**
 * @description: 客户消息服务层
 * @Author: wanglang
 * @Date: 2024/4/1 19:26
 * @Version: 1.0
 */
public interface CustomerMessageService {

    /**
     * 发送短信
     * 
     * @param phoneNumber 手机号
     * @param type 类型
     * @return true/false
     */
    boolean sendSms(String phoneNumber, String type);

    /**
     * 发送邮件
     *
     * @param email 邮件
     * @return true/false
     */
    boolean sendEmail(String email);

    /**
     * 邮箱验证码验证
     * @param email
     * @param authCode
     * @return
     */
    boolean checkEmailAuthCode(String email, String authCode);
}
