package com.trade.client.enterprise.service;

import com.trade.client.enterprise.dto.EnterpriseStatusDto;
import com.trade.service.enterprise.domain.Enterprise;
import com.trade.service.enterprise.dto.EnterpriseDto;

/**
 * 企业信息服务接口
 *
 * @author hlb
 * @since 2024-05-29 15:02:09
 */
public interface EnterpriseService {

    /**
     * 客户企业认证状态查询
     *
     * @return
     */
    EnterpriseStatusDto queryCertificationStatus();

    /**
     * 客户更新企业页面数据查询
     *
     * @return
     */
    EnterpriseDto queryForUpdate();

    /**
     * "我的企业"页面数据查询
     *
     * @return
     */
    EnterpriseDto queryMyEnterprise();

    /*
     * 保存企业信息
     * @param operate 操作：保存（save）；或提交（submit）
     * @param enterpriseDto 企业信息
     */
    Long saveEnterprise(String operate, EnterpriseDto enterpriseDto);
}
