package com.trade.client.system.controller;

import com.trade.common.core.domain.ResponseResult;
import com.trade.service.system.domain.SysCountry;
import com.trade.service.system.service.SysCountryService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/9/19 21:17
 * @Version: 1.0
 */
@RestController
@RequestMapping("/system/country")
public class SysCountryController {

    @Resource
    private SysCountryService sysCountryService;

    @ApiOperation(value = "获取国家列表", notes = "获取国家列表")
    @PostMapping("/get")
    public ResponseResult<List<SysCountry>> getCountryList() {
        return ResponseResult.success(sysCountryService.queryCountryList());
    }
}
