package com.trade.client.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.client.consumer.domain.CustomerUser;
import com.trade.client.system.domain.CustomerOperationLog;

import java.util.List;

/**
 * @description: 客户操作日志业务操作接口
 * @Author: wanglang
 * @Date: 2024/5/14
 * @Version: 1.0
 */
public interface CustomerOperationLogService extends IService<CustomerOperationLog> {

    /**
     * 保存客户操作日志
     * 
     * @param operationLog 操作日志
     */
    void sava(CustomerOperationLog operationLog);

    /**
     * 根据客户id查询客户操作日志
     * 
     * @param customerUserId 客户id
     * @return 客户操作日志列表
     */
    List<CustomerOperationLog> queryByCustomerUserId(Long customerUserId);
}
