package com.trade.client.tradingPlatform.controller;

import javax.annotation.Resource;

import com.trade.client.tradingPlatform.TradingPlatformService;
import org.springframework.web.bind.annotation.*;

import com.trade.common.core.domain.ResponseResult;
import com.trade.service.tradingPlatform.dto.TradingPlatformDto;

import java.util.List;

/**
 * 贸易平台接口
 *
 * @author hlb
 */
@RestController
@RequestMapping("/tradingPlatform")
public class TradingPlatformController {

    /**
     * 服务对象
     */
    @Resource
    private TradingPlatformService tradingPlatformService;

    /**
     * 查询当前企业可匹配的贸易平台列表
     *
     * @return 贸易平台
     */
    @GetMapping("/can/match")
    public ResponseResult<List<TradingPlatformDto>> queryCanMatchTradingPlatforms() {
        List<TradingPlatformDto> tradingPlatformDtoList = tradingPlatformService.queryCanMatchTradingPlatforms();
        return ResponseResult.success(tradingPlatformDtoList);
    }
}
