package com.trade.service.companyrelated.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import com.trade.common.core.domain.BizBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;

/**
 * <p>
 * 关系企业联系人信息
 * </p>
 *
 * @author baomidou
 * @since 2024-05-28
 */
@Getter
@Setter
@TableName("biz_entity_related_person")
@ApiModel(value = "BizEntityRelatedPerson对象", description = "关系企业联系人信息")
public class BizEntityRelatedPerson extends BizBaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("企业ID")
    @TableField("entity_id")
    private Long entityId;

    @ApiModelProperty("姓名")
    @TableField("`name`")
    @NotBlank(message = "关系企业人员姓名不能为空")
    private String name;

    @ApiModelProperty("身份证号(大陆企业需要)")
    @TableField("id_no")
    private String idNo;

    @ApiModelProperty("手机号")
    @TableField("mobile")
    @NotBlank(message = "关系企业人员手机号不能为空")
    private String mobile;

    @ApiModelProperty("邮箱")
    @TableField("email")
    @Email(message = "关系企业人员邮箱格式不正确")
    private String email;
}
