package com.trade.service.companyrelated.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.trade.common.core.domain.BizBaseEntity;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 * 供应商企业信息
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-03
 */
@Getter
@Setter
@TableName("vendor_entity")
public class VendorEntity extends BizBaseEntity {

    private static final long serialVersionUID = 1L;
    /**
     * 用户id
     */
    private Long customerUserId;
    /**
     * 企业编号
     */
    private String entityNo;
    /**
     * 企业名称
     */
    @NotBlank(message = "企业名称不能为空")
    private String entityName;
    /**
     * 企业联系人姓名
     */
    @NotBlank(message = "企业联系人姓名不能为空")
    private String contactName;
    /**
     * 企业联系人证件号
     */
    @NotBlank(message = "企业联系人证件号不能为空")
    private String contactCertNo;
    /**
     * 企业联系人手机号
     */
    @NotBlank(message = "企业联系人手机号不能为空")
    private String contactMobile;
    /**
     * 企业联系人邮箱
     */
    @NotBlank(message = "企业联系人不能为空")
    private String contactEmail;
    /**
     * 收款账户户名
     */
    @NotBlank(message = "收款账户户名不能为空")
    private String acctName;
    /**
     * 收款银行卡号
     */
    @NotBlank(message = "收款银行卡号不能为空")
    private String acctNo;
    /**
     * 收款账户开户行
     */
    @NotBlank(message = "收款账户开户行不能为空")
    private String acctOpenBank;
}
