package com.trade.service.companyrelated.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.trade.service.companyrelated.domain.BizEntityRelated;
import com.trade.service.companyrelated.domain.vo.BizEntityRelatedSearch;
import com.trade.service.companyrelated.domain.vo.BizEntityRelatedVO;

/**
 * <p>
 * 关系企业信息 服务类
 * </p>
 *
 * @author baomidou
 * @since 2024-05-28
 */
public interface BizEntityRelatedService extends IService<BizEntityRelated> {

    /**
     * 页面获取数据列表
     * 
     * @param search 查询条件
     * @return PageInfo<BizEntityRelated>
     */
    PageInfo<BizEntityRelated> queryListBySearch(BizEntityRelatedSearch search);

    /**
     * 根据用户ID获取关系企业信息列表
     * 
     * @param userId Long 用户ID
     * @return List<BizEntityRelated>
     */
    List<BizEntityRelated> getRelatedListByUserId(Long userId);


    /**
     * 根据关系企业ID获取关系企业信息
     * 
     * @param bizEntityId 关系企业ID
     * @return BizEntityRelatedVO
     */
    BizEntityRelatedVO getByBizEntityId(Long bizEntityId);
}
