package com.trade.service.companyrelated.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.trade.service.companyrelated.domain.VendorEntity;
import com.trade.service.companyrelated.domain.vo.VendorEntitySearch;

/**
 * <p>
 * 供应商企业信息 服务类
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-03
 */
public interface IVendorEntityService extends IService<VendorEntity> {

    /**
     * 页面获取数据列表
     *
     * @param search 查询条件
     * @return PageInfo<VendorEntity>
     */
    PageInfo<VendorEntity> queryListBySearch(VendorEntitySearch search);

    /**
     * 根据用户ID获取供应商信息列表
     *
     * @param userId Long 用户ID
     * @return List<VendorEntity>
     */
    List<VendorEntity> getListByUserId(Long userId);

    /**
     * 根据供应商ID获取进口商信息
     *
     * @param entityId 进口商ID
     * @return VendorEntity
     */
    VendorEntity getByEntityId(Long entityId);

    /**
     * 根据供应商编码获取供应商信息
     *
     * @param entityNo 供应商编码
     * @return VendorEntity
     */
    VendorEntity getByEntityNo(String entityNo);
}
