package com.trade.service.credit.domain;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 授信申请信息记录
 * </p>
 *
 * @author zhangchenm
 * @since 2024-06-05
 */
@Getter
@Setter
@TableName("biz_credit_apply")
public class BizCreditApply implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 申请编号
     */
    private String applyNo;

    /**
     * 状态 0待提交/1生效
     */
    private Integer status;

    /**
     * 产品
     */
    private String bizProd;

    /**
     * 币种
     */
    private String currency;

    /**
     * 申请时间
     */
    private LocalDateTime applyDate;

    /**
     * 进口买方企业id
     */
    private Long relateEntityId;

    /**
     * 删除标识
     */
    @TableLogic
    private Boolean deleted;

    /**
     * 创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 修改时间
     */
    private LocalDateTime gmtModified;
}
