package com.trade.service.credit.domain;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 授信申请资料
 * </p>
 *
 * @author zhangchenm
 * @since 2024-06-05
 */
@Getter
@Setter
@TableName("biz_credit_file")
public class BizCreditFile implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 授信申请编号
     */
    private String applyNo;

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 状态 0待提交/1待审核/2审核通过
     */
    private Byte status;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件存储id
     */
    private Long fileStorageId;

    /**
     * 删除标识
     */
    @TableLogic
    private Boolean deleted;

    /**
     * 创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 修改时间
     */
    private LocalDateTime gmtModified;
}
