package com.trade.service.credit.domain;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 企业征信授权记录
 * </p>
 *
 * @author zhangchenm
 * @since 2024-06-05
 */
@Getter
@Setter
@TableName("biz_entity_credit_auth")
public class BizEntityCreditAuth implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 企业证件号
     */
    private String certNo;

    /**
     * 状态 0待签署/1生效/2签署失败/3过期
     */
    private Integer status;
    /**
     * 签署流程id
     */
    private String signFlowId;

    /**
     * 文件存储id
     */
    private Long fileStorageId;

    /**
     * 签署时间
     */
    private LocalDateTime signDate;

    /**
     * 删除标识
     */
    @TableLogic
    private Boolean deleted;

    /**
     * 创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 修改时间
     */
    private LocalDateTime gmtModified;
}
