package com.trade.service.enterprise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.enterprise.domain.Enterprise;
import com.trade.service.enterprise.dto.EnterpriseBaseInfoDto;
import com.trade.service.enterprise.dto.EnterpriseSearchDto;

import java.util.List;

/**
 * 企业信息基础服务接口
 *
 * @author hlb
 * @since 2024-05-29 15:07:42
 */
public interface EnterpriseBaseService extends IService<Enterprise> {

    /**
     * 查询企业
     *
     * @param customerId
     * @return
     */
    Enterprise getEnterpriseByCustomerId(Long customerId);
    /**
     * 根据证件号查询企业
     *
     * @param certNo
     * @return
     */
    Enterprise getEnterpriseByCertNo(String certNo);

    /**
     * 根据搜索条件查询企业列表
     * 
     * @param search
     * @return
     */
    List<EnterpriseBaseInfoDto> findBySearch(EnterpriseSearchDto search);

    /**
     * 根据客户信息查询企业
     * 
     * @param customerInfo 客户信息
     * @return 企业 信息
     */
    List<EnterpriseBaseInfoDto> findByCustomerInfo(String customerInfo);
}
