package com.trade.service.filestorage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.filestorage.entity.BusinessRelateFile;
import org.apache.ibatis.annotations.Param;

/**
 * 文件关联关系数据库访问
 *
 * @author hlb
 * @since 2024-05-29 15:07:41
 */
public interface BusinessRelateFileMapper extends BaseMapper<BusinessRelateFile> {

    /**
     * 根据业务id和业务类型查询文件关联关系
     * 
     * @param belongId
     * @param belongType
     * @param fileType
     * @return fileType
     */
    BusinessRelateFile selectByCondition(@Param("belongId") Long belongId, @Param("belongType") String belongType,
            @Param("fileType") String fileType);
}
