/**
 * @filename:PurchaseOrder 2024-09-09
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.order.domain;

import com.trade.common.core.domain.BizBaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * @Description:采购订单信息实体类
 * @version: v1.0.0
 * @author: wanglang
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PurchaseOrder extends BizBaseEntity<PurchaseOrder> {

    private static final long serialVersionUID = 1725887277167L;
    @ApiModelProperty(name = "currency", value = "币种")
    private String currency = "USD";
    @ApiModelProperty(name = "customerUserId", value = "客户id")
    private Long customerUserId;
    @ApiModelProperty(name = "orderNo", value = "订单编号")
    private String orderNo;
    @ApiModelProperty(name = "entityNo", value = "供应商编号")
    private String entityNo;
    @ApiModelProperty(name = "agencyCertNo", value = "代理公司统一社会信用代码/注册号")
    private String agencyCertNo;
    @ApiModelProperty(name = "invoiceType", value = "发票类型1增值税专用发票2增值税普通发票")
    private String invoiceType;
    @ApiModelProperty(name = "purchaseContractNo", value = "采购合同编号")
    private String purchaseContractNo;
    @ApiModelProperty(name = "salesOrderId", value = "销售订单主键")
    private Long salesOrderId;
    @ApiModelProperty(name = "amountTotal", value = "订单总额")
    private BigDecimal amountTotal;
    @ApiModelProperty(name = "taxAmountTotal", value = "订单税额")
    private BigDecimal taxAmountTotal;
    @ApiModelProperty(name = "settlementCycle", value = "结算周期单位天")
    private Integer settlementCycle;
}
