/**
 * @filename:PurchaseOrderCommodity 2024-09-10
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.order.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.common.core.domain.BizBaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description:采购订单商品信息实体类
 * @version: v1.0.0
 * @author: wanglang
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PurchaseOrderCommodity extends BizBaseEntity<PurchaseOrderCommodity> {

    private static final long serialVersionUID = 1725934150217L;
    @ApiModelProperty(name = "amount", value = "商品金额")
    private BigDecimal amount;
    @ApiModelProperty(name = "currency", value = "币种")
    private String currency = "USD";
    @ApiModelProperty(name = "hsCode", value = "商品编码")
    private String hsCode;
    @ApiModelProperty(name = "measurementUnit", value = "计量单位")
    private String measurementUnit;
    @ApiModelProperty(name = "name", value = "商品名称")
    private String name;
    @ApiModelProperty(name = "number", value = "数量")
    private Integer number;
    @ApiModelProperty(name = "packSpec", value = "包装规格")
    private String packSpec;
    @ApiModelProperty(name = "priceUnit", value = "采购单价 (不含税) ")
    private BigDecimal priceUnit;
    @ApiModelProperty(name = "purchaseOrderId", value = "采购订单id")
    private Long purchaseOrderId;
    @ApiModelProperty(name = "taxRefundRate", value = "增值税税率")
    private BigDecimal taxRefundRate;
    @ApiModelProperty(name = "model", value = "型号")
    private String model;
    @ApiModelProperty(name = "salesCommodityId", value = "销售合同商品ID")
    private Long salesCommodityId;
}
