/**
 * @filename:urchaseOrderLogisticsInformation 2024-09-10
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.order.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.common.core.domain.BizBaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

/**
 * @Description:采购订单物流信息实体类
 * @version: v1.0.0
 * @author: wanglang
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PurchaseOrderLogistics extends BizBaseEntity<PurchaseOrderLogistics> {

    private static final long serialVersionUID = 1725949444807L;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "arriveTime", value = "送达时间")
    private LocalDateTime arriveTime;
    @ApiModelProperty(name = "companyName", value = "物流公司名称")
    private String companyName;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "deliveryTime", value = "发货时间")
    private LocalDateTime deliveryTime;
    @ApiModelProperty(name = "logisticsOrderNumber", value = "物流单号")
    private String logisticsOrderNumber;
    @ApiModelProperty(name = "purchaseOrderId", value = "采购订单id")
    private Long purchaseOrderId;
    @ApiModelProperty(name = "remark", value = "备注")
    private String remark;
    // @ApiModelProperty(name = "transportCertificateFileId", value = "运输证明文件id")
    // private Long transportCertificateFileId;
}
