package com.trade.service.order.dto;

import com.trade.service.order.domain.PurchaseOrderCommodity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @description: 采购订单dto
 * @Author: wanglang
 * @Date: 2024/9/10 21:28
 * @Version: 1.0
 */
@Data
public class PurchaseOrderDto {

    @ApiModelProperty(name = "id", value = "采购订单主键")
    private Long id;
    @ApiModelProperty(name = "customerUserId", value = "客户id")
    private Long customerUserId;
    @ApiModelProperty(name = "salesOrderId", value = "销售订单主键")
    private Long salesOrderId;
    @NotNull(message = "销售订单编号不能为空")
    @ApiModelProperty(name = "salesOrderNo", value = "销售订单编号")
    private String salesOrderNo;
    @ApiModelProperty(name = "vendorEntityNo", value = "供应商编号")
    @NotNull(message = "供应商编号不能为空")
    private String vendorEntityNo;
    @ApiModelProperty(name = "saleContractId", value = "销售合同id")
    @NotNull(message = "销售合同id不能为空")
    private Long saleContractId;
    @ApiModelProperty(name = "commodities", value = "采购订单商品信息")
    private List<PurchaseOrderCommodity> commodities;
}
