package com.trade.service.order.dto;

import com.trade.common.core.page.PageDomain;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @description: 采购订单物流查询参数
 * @Author: wanglang
 * @Date: 2024/9/13 16:22
 * @Version: 1.0
 */
@Data
public class PurchaseOrderLogisticsSearchDto extends PageDomain {

    @ApiModelProperty(name = "logisticsOrderNumber", value = "物流单号")
    private String logisticsOrderNumber;
    @ApiModelProperty(name = "companyName", value = "物流公司名称")
    private String companyName;
    @ApiModelProperty(name = "purchaseOrderNo", value = "采购订单编号")
    private String purchaseOrderNo;
    @ApiModelProperty(name = "customerUserId", value = "客户id")
    private Long customerUserId;
    @ApiModelProperty(name = "customerUserInfo", value = "客户id或者客户名称")
    private String customerUserInfo;
    @ApiModelProperty(name = "agencyCertNo", value = "代理公司统一社会信用代码/注册号")
    private String agencyCertNo;
    @ApiModelProperty(name = "vendorEntityNo", value = "供应商编号")
    private String vendorEntityNo;
    @ApiModelProperty(name = "purchaseContractInfo", value = "采购合同编号或者名称")
    private String purchaseContractInfo;
    @ApiModelProperty(name = "timeStart", value = "发货开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date timeStart;
    @ApiModelProperty(name = "timeEnd", value = "发货结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date timeEnd;
    @ApiModelProperty(name = "端点", value = "trueC端falseB端")
    private Boolean point;
    private List<Long> customerUserIdList;
}
