package com.trade.service.order.dto;

import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import com.trade.common.core.page.PageDomain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 采购订单查询条件
 * @Author: wanglang
 * @Date: 2024/9/12
 * @Version: 1.0
 */
@Data
public class PurchaseSearchDto extends PageDomain {

    @ApiModelProperty(name = "customerUserId", value = "客户id")
    private Long customerUserId;
    @ApiModelProperty(name = "purchaseOrderNo", value = "采购订单编号")
    private String purchaseOrderNo;
    @ApiModelProperty(name = "salesOrderNo", value = "销售订单编号")
    private String salesOrderNo;
    @ApiModelProperty(name = "customerUserInfo", value = "客户id或者客户名称")
    private String customerUserInfo;
    @ApiModelProperty(name = "purchaseContractNo", value = "采购合同编号")
    private String purchaseContractNo;
    @ApiModelProperty(name = "vendorEntityNo", value = "供应商编号")
    private String vendorEntityNo;
    @ApiModelProperty(name = "agencyCertNo", value = "代理公司统一社会信用代码/注册号")
    private String agencyCertNo;
    @ApiModelProperty(name = "timeStart", value = "开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date timeStart;
    @ApiModelProperty(name = "timeEnd", value = "结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date timeEnd;
    @ApiModelProperty(name = "端点", value = "trueC端falseB端")
    private Boolean point;
    private List<Long> customerUserIdList;
}
