package com.trade.service.order.vo;

import com.trade.service.order.domain.PurchaseOrderCommodity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @description: 采购订单详情
 * @Author: wanglang
 * @Date: 2024/9/12
 * @Version: 1.0
 */
@Data
public class PurchaseOrderDetailsVo {

    @ApiModelProperty(name = "purchaseOrderNo", value = "采购订单编号")
    private String purchaseOrderNo;
    @ApiModelProperty(name = "salesOrderNo", value = "销售订单编号")
    private String salesOrderNo;
    @ApiModelProperty(name = "purchaseContractNo", value = "采购合同编号")
    private String purchaseContractNo;
    @ApiModelProperty(name = "enterpriseName", value = "客户名称")
    private String enterpriseName;
    @ApiModelProperty(name = "purchaseContractName", value = "采购合同名称")
    private String purchaseContractName;
    @ApiModelProperty(name = "agencyEnterpriseName", value = "代理公司名称")
    private String agencyEnterpriseName;
    @ApiModelProperty(name = "vendorEntityName", value = "供应商名称")
    private String vendorEntityName;
    @ApiModelProperty(name = "settlementCycle", value = "结算周期单位天")
    private Integer settlementCycle;
    @ApiModelProperty(name = "currency", value = "币种")
    private String currency;
    @ApiModelProperty(name = "amountTotal", value = "订单总额")
    private BigDecimal amountTotal;
    @ApiModelProperty(name = "taxAmountTotal", value = "订单税额")
    private BigDecimal taxAmountTotal;
    @ApiModelProperty(name = "commodityList", value = "商品信息")
    private List<PurchaseOrderCommodity> commodityList;
    @ApiModelProperty(name = "logisticsVo", value = "物流信息")
    private PurchaseOrderLogisticsVo logisticsVo;
    @ApiModelProperty(name = "purchaseAcountVo", value = "采购合同账户信息")
    private PurchaseAcountVo purchaseAcountVo;
    // todo 缺失发票信息
}
