package com.trade.service.order.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * @description: 采购订单物流信息
 * @Author: wanglang
 * @Date: 2024/9/12
 * @Version: 1.0
 */
@Data
public class PurchaseOrderLogisticsVo {

    @ApiModelProperty(name = "id", value = "主键")
    private Long id;
    @ApiModelProperty(name = "arriveTime", value = "送达时间")
    private LocalDateTime arriveTime;
    @ApiModelProperty(name = "companyName", value = "物流公司名称")
    private String companyName;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "deliveryTime", value = "发货时间")
    private LocalDateTime deliveryTime;
    @ApiModelProperty(name = "logisticsOrderNumber", value = "物流单号")
    private String logisticsOrderNumber;
    @ApiModelProperty(name = "remark", value = "备注")
    private String remark;
    @ApiModelProperty(name = "transportCertificateFileId", value = "运输证明文件id")
    private Long transportCertificateFileId;
    @ApiModelProperty(name = "path", value = "文件映射路径")
    private String path;
}
