package com.trade.service.order.vo;

import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 采购订单列表
 * @Author: wanglang
 * @Date: 2024/9/12
 * @Version: 1.0
 */
@Data
public class PurchaseOrderVo {

    @ApiModelProperty(name = "id", value = "采购订单主键id")
    private Long id;
    @ApiModelProperty(name = "customerUserId", value = "客户id")
    private Long customerUserId;
    @ApiModelProperty(name = "purchaseOrderNo", value = "采购订单编号")
    private String purchaseOrderNo;
    @ApiModelProperty(name = "salesOrderNo", value = "销售订单编号")
    private String salesOrderNo;
    @ApiModelProperty(name = "enterpriseName", value = "客户名称")
    private String enterpriseName;
    @ApiModelProperty(name = "vendorEntityNo", value = "供应商编号")
    private String vendorEntityNo;
    @ApiModelProperty(name = "vendorEntityName", value = "供应商名称")
    private String vendorEntityName;
    @ApiModelProperty(name = "agencyCertNo", value = "代理公司统一社会信用代码/注册号")
    private String agencyCertNo;
    @ApiModelProperty(name = "agencyEnterpriseName", value = "代理公司名称")
    private String agencyEnterpriseName;
    @ApiModelProperty(name = "invoiceType", value = "发票类型1增值税专用发票2增值税普通发票")
    private String invoiceType;
    @ApiModelProperty(name = "purchaseContractNo", value = "采购合同编号")
    private String purchaseContractNo;
    @ApiModelProperty(name = "currency", value = "币种")
    private String currency;
    @ApiModelProperty(name = "amountTotal", value = "订单总额")
    private BigDecimal amountTotal;
    @ApiModelProperty(name = "taxAmountTotal", value = "订单税额")
    private BigDecimal taxAmountTotal;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;
}
