package com.trade.service.purchase.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.purchase.domain.PurchaseContract;
import com.trade.service.purchase.dto.PurchaseContractDto;
import com.trade.service.purchase.dto.PurchaseContractSearchBaseDto;

import java.util.List;

/**
 * 采购合同表基础表数据库访问
 *
 * @author hlb
 * @since 2024-09-07 16:23:15
 */
public interface PurchaseContractMapper extends BaseMapper<PurchaseContract> {

    /**
     * 根据查询条件获取采购合同列表
     * @param searchDto
     * @return
     */
    List<PurchaseContractDto> getPurchaseContractBySearch(PurchaseContractSearchBaseDto searchDto);

    /**
     * 根据id获取采购合同信息
     * @param id
     * @return
     */
    PurchaseContractDto getPurchaseContractById(Long id);
}
