package com.trade.service.purchase.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.purchase.domain.PurchaseCommodity;
import com.trade.service.purchase.dto.PurchaseCommodityDto;

import java.util.List;

/**
 * 采购商品表基础服务接口
 *
 * @author hlb
 * @since 2024-09-07 16:23:02
 */
public interface PurchaseCommodityBaseService extends IService<PurchaseCommodity> {
    /**
     * 根据采购合同ID获取采购商品列表
     * @param contractId
     * @return
     */
    List<PurchaseCommodityDto> getPurchaseCommodityByContractId(Long contractId);
}
