package com.trade.service.purchase.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.common.core.page.GridPage;
import com.trade.service.purchase.domain.PurchaseContract;
import com.trade.service.purchase.dto.PurchaseContractDetailDto;
import com.trade.service.purchase.dto.PurchaseContractDto;
import com.trade.service.purchase.dto.PurchaseContractSearchBaseDto;

/**
 * 采购合同表基础表基础服务接口
 *
 * @author hlb
 * @since 2024-09-07 16:23:15
 */
public interface PurchaseContractBaseService extends IService<PurchaseContract> {

    /**
     * 获取采购合同列表
     *
     * @param searchDto 采购合同搜索条件
     * @return 采购合同列表
     */
    GridPage<PurchaseContractDto> getPurchaseContractBySearch(PurchaseContractSearchBaseDto searchDto);

    /**
     * 根据id获取采购合同详情
     * @param id
     * @return
     */
    PurchaseContractDetailDto findPurchaseContractDetailById(Long id);
}
