package com.trade.service.purchase.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.trade.service.purchase.dto.PurchaseCommodityDto;
import com.trade.service.purchase.mapper.PurchaseCommodityMapper;
import com.trade.service.purchase.domain.PurchaseCommodity;
import com.trade.service.purchase.service.PurchaseCommodityBaseService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;

/**
 * 采购商品表基础服务实现类
 *
 * @author hlb
 * @since 2024-09-07 16:23:02
 */
@Service("purchaseCommodityBaseService")
public class PurchaseCommodityBaseServiceImpl extends ServiceImpl<PurchaseCommodityMapper, PurchaseCommodity> implements PurchaseCommodityBaseService {
    private static final Logger logger = LoggerFactory.getLogger(PurchaseCommodityBaseServiceImpl.class);
    @Resource
    private PurchaseCommodityMapper purchaseCommodityMapper;

    @Override
    public List<PurchaseCommodityDto> getPurchaseCommodityByContractId(Long contractId) {
        return purchaseCommodityMapper.getPurchaseCommodityByContractId(contractId);
    }
}
