/**
 * @filename:ContractFile 2024-09-04
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.sales.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.common.core.domain.BizBaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

/**
 * @Description:合同文件信息实体类
 * @version: v1.0.0
 * @author: wanglang
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ContractFile extends BizBaseEntity<ContractFile> {

    private static final long serialVersionUID = 1725419249455L;
    @ApiModelProperty(name = "contractNo", value = "合同编号")
    private String contractNo;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(name = "generationTime", value = "生成时间")
    private LocalDateTime generationTime;
    @ApiModelProperty(name = "operatorName", value = "操作人姓名")
    private String operatorName;
    @ApiModelProperty(name = "signFileId", value = "签署文件ID")
    private String signFileId;
    @ApiModelProperty(name = "signFileType", value = "签署文件类型")
    private String signFileType;
    @ApiModelProperty(name = "signFlowId", value = "签署流程ID")
    private String signFlowId;
    @ApiModelProperty(name = "signedFileStorageId", value = "（签署完的）合同附件ID")
    private Long signedFileStorageId;
    @ApiModelProperty(name = "unsignFileStorageId", value = "（未签署的）合同附件ID")
    private Long unsignFileStorageId;
}
