/**
 * @filename:ContractTerms 2024-09-03
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.sales.domain;

import com.trade.common.core.domain.BizBaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description:合同条款实体类
 * @version: v1.0.0
 * @author: wanglang
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ContractTerms extends BizBaseEntity<ContractTerms> {

    private static final long serialVersionUID = 1725364450348L;
    @ApiModelProperty(name = "contractType", value = "合同类型")
    private String contractType;
    @ApiModelProperty(name = "contractId", value = "合同ID")
    private Long contractId;
    @ApiModelProperty(name = "contractNo", value = "合同编号")
    private String contractNo;
    @ApiModelProperty(name = "paymentWay", value = "付款方式")
    private String paymentWay;
    @ApiModelProperty(name = "paymentCurrency", value = "付款方币种")
    private String paymentCurrency;
    @ApiModelProperty(name = "invoiceType", value = "发票类型1增值税专用发票2增值税普通发票")
    private String invoiceType;
    @ApiModelProperty(name = "settlementCycle", value = "结算周期单位天")
    private Integer settlementCycle;
    @ApiModelProperty(name = "accountName", value = "账户名称")
    private String accountName;
    @ApiModelProperty(name = "accountNumber", value = "账号")
    private String accountNumber;
    @ApiModelProperty(name = "openingBank", value = "开户行名称")
    private String openingBank;
    @ApiModelProperty(name = "swiftCode", value = "香港开户行")
    private String swiftCode;
    @ApiModelProperty(name = "remark", value = "备注")
    private String remark;
}
