/**
 * @filename:ContractTermsExtend 2024-09-03
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.sales.domain;

;
import com.trade.common.core.domain.BizBaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.Valid;

/**
 * @Description:合同条款扩展信息实体类
 * @version: v1.0.0
 * @author: wanglang
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Valid
public class ContractTermsExtend extends BizBaseEntity<ContractTermsExtend> {

    private static final long serialVersionUID = 1725365145592L;
    @ApiModelProperty(name = "contractTermsId", value = "合同条款主键")
    private Long contractTermsId;
    @ApiModelProperty(name = "type", value = "扩展类型1付款2条款")
    private String type;
    @ApiModelProperty(name = "paymentTime", value = "付款时点，枚举")
    private String paymentTime;
    @ApiModelProperty(name = "termTitle", value = "条款标题")
    private String termTitle;
    @ApiModelProperty(name = "content", value = "内容")
    private String content;
}
