package com.trade.service.sales.dto;

import com.trade.common.core.dto.BaseSearch;
import com.trade.common.core.page.PageDomain;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @description: 合同查询条件
 * @Author: wanglang
 * @Date: 2024/9/5
 * @Version: 1.0
 */
@Data
public class ContractSearchDto extends PageDomain {

    @ApiModelProperty(name = "customerUserId", value = "客户id")
    private Long customerUserId;
    @ApiModelProperty(name = "contractInfo", value = "合同编号或者合同名称")
    private String contractInfo;
    @ApiModelProperty(name = "customerUserInfo", value = "客户id或者客户名称")
    private String customerUserInfo;
    @ApiModelProperty(name = "paymentWay", value = "付款方式")
    private String paymentWay;
    @ApiModelProperty(name = "importerCertNo", value = "进口商统一社会信用代码/注册号")
    private String importerCertNo;
    @ApiModelProperty(name = "agencyCertNo", value = "代理公司统一社会信用代码/注册号")
    private String agencyCertNo;
    @ApiModelProperty(name = "timeStart", value = "开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date timeStart;
    @ApiModelProperty(name = "timeEnd", value = "结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date timeEnd;
    @ApiModelProperty(name = "端点", value = "trueC端falseB端")
    private Boolean point;
    private List<Long> customerUserIdList;
}
