/**
 * @filename:SalesCommodityMapper 2024-09-03
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.sales.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.sales.domain.SalesCommodity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description:销售商品数据访问层
 * @version: v1.0.0
 * @author: wanglang
 */
@Mapper
public interface SalesCommodityMapper extends BaseMapper<SalesCommodity> {

    /**
     * 根据销售合同id查询销售商品
     * 
     * @param salesContractId 销售合同id
     * @return 销售商品列表
     */
    List<SalesCommodity> selectBySalesContractId(@Param("salesContractId") Long salesContractId);
}
