/**
 * @filename:SalesContractMapper 2024-09-03
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.sales.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.sales.domain.SalesContract;
import com.trade.service.sales.dto.ContractSearchDto;
import com.trade.service.sales.vo.SalesContractVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description:销售合同基础信息数据访问层
 * @version: v1.0.0
 * @author: wanglang
 */
@Mapper
public interface SalesContractMapper extends BaseMapper<SalesContract> {

    /**
     * 根据条件查询销售合同
     * 
     * @param contractSearch
     * @return List<SalesContract>
     */
    List<SalesContractVo> selectByCondition(ContractSearchDto contractSearch);
}
