/**
 * @filename:ContractTermsService 2024-09-03
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.sales.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.sales.domain.ContractTerms;
import com.trade.service.sales.dto.ContractTermsDto;

/**
 * @Description:合同条款服务层
 * @version: v1.0.0
 * @author: wanglang
 */
public interface ContractTermsService extends IService<ContractTerms> {

    /**
     * 根据合同ID和合同类型获取合同条款信息
     * 
     * @param contractId
     * @param contractType
     * @return
     */
    ContractTerms getByContractIdAndType(Long contractId, String contractType);

    /**
     * 根据合同ID和合同类型获取合同条款信息
     *
     * @param contractId
     * @param contractType
     * @return
     */
    ContractTermsDto getDetailByContractIdAndType(Long contractId, String contractType);

    /**
     * 根据合同编号获取合同条款信息
     * 
     * @param contractNo
     * @return
     */
    ContractTerms getByContractNo(String contractNo);
}
