package com.trade.service.sales.vo;

import com.trade.common.validate.ValidatorGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @description: 销售合同列表前端返回对象
 * @Author: wanglang
 * @Date: 2024/9/5
 * @Version: 1.0
 */
@Data
public class SalesContractVo {

    @ApiModelProperty(name = "id", value = "合同ID")
    private Long id;
    @ApiModelProperty(name = "customerUserId", value = "客户id")
    private Long customerUserId;
    @ApiModelProperty(name = "contractNo", value = "合同编号")
    private String contractNo;
    @ApiModelProperty(name = "contractName", value = "合同名称")
    private String contractName;
    @ApiModelProperty(name = "importerEnterpriseName", value = "进口商企业名称")
    private String importerEnterpriseName;
    @ApiModelProperty(name = "agencyEnterpriseName", value = "代理公司企业名称")
    private String agencyEnterpriseName;
    @ApiModelProperty(name = "templateType", value = "模板类型1长银0自有")
    private Boolean templateType;
    @ApiModelProperty(name = "contractAmount", value = "合同金额")
    private BigDecimal contractAmount;
    @ApiModelProperty(name = "paymentWay", value = "付款方式")
    private String paymentWay;
    @ApiModelProperty(name = "paymentCurrency", value = "付款币种")
    private String paymentCurrency;
    @ApiModelProperty(name = "settlementCycle", value = "结算周期单位天")
    private Integer settlementCycle;
    @ApiModelProperty(name = "portDestination", value = "目的港")
    private String portDestination;
    @ApiModelProperty(name = "contractStatus", value = "合同状态1草稿2生效3待上传6已完成")
    private String contractStatus;
    @ApiModelProperty(name = "gmtCreate", value = "C端为创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;
    @ApiModelProperty(name = "gmtModified", value = "B端为创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModified;
    @ApiModelProperty(name = "exportType", value = "出口类型")
    private String exportType;
    @ApiModelProperty(name = "exchangeRate", value = "成交汇率")
    private BigDecimal exchangeRate;
}
