package com.trade.service.salesorder.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.trade.common.core.domain.BizBaseEntity;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 销售订单表
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-06
 */
@Getter
@Setter
@TableName("sales_order")
public class SalesOrder extends BizBaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    private Long customerUserId;

    /**
     * 订单编号
     */
    private String orderNo;

    /**
     * 进口商id
     */
    private Long importerId;

    /**
     * 销售合同id
     */
    private Long saleContractId;

    /**
     * 订单金额
     */
    private BigDecimal amount;

    /**
     * 状态 0待生效/1待发货/2运输中/3交易完成
     */
    private Integer status;
}
