package com.trade.service.salesorder.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.trade.common.core.domain.BizBaseEntity;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 销售订单-集装箱信息
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-06
 */
@Getter
@Setter
@TableName("sales_order_container")
public class SalesOrderContainer extends BizBaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 订单物流id
     */
    @NotNull(message = "订单物流id不能为空")
    private Long logisticsId;

    /**
     * 集装箱单号
     */
    @NotBlank(message = "集装箱单号不能为空")
    private String billNo;

    /**
     * 集装箱单文件id
     */
    @NotNull(message = "集装箱单文件id不能为空")
    private Long fileId;
}
