package com.trade.service.salesorder.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.trade.common.core.domain.BizBaseEntity;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 销售订单-发票信息
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-06
 */
@Getter
@Setter
@TableName("sales_order_invoice")
public class SalesOrderInvoice extends BizBaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 销售订单id
     */
    private Long orderId;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 发票金额
     */
    private BigDecimal amount;

    /**
     * 发票文件id
     */
    private Long fileId;
}
