package com.trade.service.salesorder.dto;

import com.trade.service.salesorder.domain.SalesOrder;
import com.trade.service.salesorder.domain.SalesOrderGoods;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.util.List;

/**
 * This is the DTO class for SalesOrder.
 */
@Data
@ToString(exclude = {
        "salesOrderGoodsList"
})
public class SalesOrderDTO {

    @ApiModelProperty(name = "salesOrder", value = "订单ID", required = true)
    private SalesOrder salesOrder;// 订单信息
    @ApiModelProperty(name = "salesOrderGoodsList", value = "订单商品列表", required = true)
    private List<SalesOrderGoods> salesOrderGoodsList;// 订单商品信息列表
}
