package com.trade.service.salesorder.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.trade.service.salesorder.domain.SalesOrderLogistics;
import com.trade.service.salesorder.vo.SalesOrderLogisticsDtlVO;
import com.trade.service.salesorder.vo.SalesOrderLogisticsSearch;
import com.trade.service.salesorder.vo.SalesOrderLogisticsVO;

/**
 * <p>
 * 销售订单-物流信息 服务类
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-06
 */
public interface ISalesOrderLogisticsService extends IService<SalesOrderLogistics> {

    /**
     * 根据订单id获取物流信息
     * 
     * @param orderId 订单id
     * @return 物流信息
     */
    SalesOrderLogistics getByOrderId(Long orderId);

    /**
     * 物流信息列表
     * 
     * @param search 物流信息搜索条件
     * @return 物流信息列表
     */
    PageInfo<SalesOrderLogisticsVO> queryListBySearch(SalesOrderLogisticsSearch search);

    /**
     * 根据订单号获取物流信息明细
     * 
     * @param orderNo 订单号
     * @return 物流信息明细
     */
    SalesOrderLogisticsDtlVO getDetailByOrderNo(String orderNo);
}
