package com.trade.service.salesorder.vo;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

import com.trade.service.salesorder.domain.SalesOrderContainer;
import com.trade.service.salesorder.domain.SalesOrderGoods;
import com.trade.service.salesorder.domain.SalesOrderInvoice;
import com.trade.service.salesorder.domain.SalesOrderLogistics;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class SalesOrderInvoiceDtlVO {

    @ApiModelProperty(name = "orderId", value = "订单id")
    private Long orderId;
    @ApiModelProperty(name = "orderNo", value = "订单编号")
    private String orderNo;
    @ApiModelProperty(name = "importerName", value = "进口商名称")
    private String importerName;
    @ApiModelProperty(name = "salesContractName", value = "销售合同名称")
    private String salesContractName;
    @ApiModelProperty(name = "salesContractNo", value = "销售合同编号")
    private String salesContractNo;
    @ApiModelProperty(name = "agencyEnterpriseName", value = "代理企业名称")
    private String agencyEnterpriseName;
    @ApiModelProperty(name = "paymentWay", value = "付款方式")
    private String paymentWay;
    @ApiModelProperty(name = "tradeTerms", value = "贸易术语")
    private String tradeTerms;
    @ApiModelProperty(name = "portDeparture", value = "起运港")
    private String portDeparture;
    @ApiModelProperty(name = "portDestination", value = "目的港")
    private String portDestination;
    @ApiModelProperty(name = "amount", value = "发票金额")
    private BigDecimal amount;
    @ApiModelProperty(name = "status", value = "状态")
    private Integer status;
    @ApiModelProperty(name = "gmtCreate", value = "发票时间")
    private LocalDate gmtCreate;
    @ApiModelProperty(name = "fileId", value = "发票文件id")
    private Long fileId;
    @ApiModelProperty(name = "salesOrderGoodsList", value = "商品信息列表")
    List<SalesOrderGoodsVO> salesOrderGoodsList;
}
