package com.trade.service.salesorder.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
public class SalesOrderInvoiceVO {

    @ApiModelProperty(name = "orderNo", value = "订单号")
    private Long orderNo;
    @ApiModelProperty(name = "invoiceNo", value = "发票号")
    private String invoiceNo;
    @ApiModelProperty(name = "amount", value = "发票金额")
    private BigDecimal amount;
    @ApiModelProperty(name = "importerName", value = "进口商名称")
    private BigDecimal importerName;
    @ApiModelProperty(name = "contractNo", value = "合同号")
    private BigDecimal contractNo;
    @ApiModelProperty(name = "agencyEnterpriseName", value = "代理企业名称")
    private String agencyEnterpriseName;
    @ApiModelProperty(name = "gmtCreate", value = "开票日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate gmtCreate;
    @ApiModelProperty(name = "customerIdentifierNo", value = "用户id标识")
    private String customerIdentifierNo;
    @ApiModelProperty(name = "enterpriseName", value = "企业名称")
    private String enterpriseName;
}
