package com.trade.service.salesorder.vo;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class SalesOrderLogisticsVO {

    @ApiModelProperty(name = "orderNo", value = "订单号")
    private String orderNo;
    @ApiModelProperty(name = "logisticsCompany", value = "物流公司")
    private String logisticsCompany;
    @ApiModelProperty(name = "agencyEnterpriseName", value = "代理企业名称")
    private String agencyEnterpriseName;
    @ApiModelProperty(name = "fromPort", value = "启运港")
    @NotBlank(message = "启运港不能为空")
    private String fromPort;
    @ApiModelProperty(name = "destPort", value = "目的港")
    @NotBlank(message = "目的港不能为空")
    private String destPort;
    @ApiModelProperty(name = "ladingBillNo", value = "提单号")
    private String ladingBillNo;
    @ApiModelProperty(name = "deliverTime", value = "发货时间")
    private LocalDateTime deliverTime;
    @ApiModelProperty(name = "estimatedArrivalTime", value = "预计送达日期")
    private LocalDate estimatedArrivalTime;
    @ApiModelProperty(name = "customerIdentifierNo", value = "用户id标识")
    private String customerIdentifierNo;
    @ApiModelProperty(name = "enterpriseName", value = "企业名称")
    private String enterpriseName;
}
