package com.trade.service.salesorder.vo;

import com.trade.common.core.dto.BaseSearch;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
public class SalesOrderSearch extends BaseSearch {

    @ApiModelProperty(name = "customerUserId", value = "用户id")
    private Long customerUserId;
    @ApiModelProperty(name = "orderNo", value = "订单号")
    private String orderNo;
    @ApiModelProperty(name = "paymentWay", value = "付款方式")
    private String paymentWay;
    @ApiModelProperty(name = "importerId", value = "进口商id")
    private Long importerId;
    @ApiModelProperty(name = "contractNo", value = "合同编号")
    private String contractNo;
    @ApiModelProperty(name = "status", value = "订单状态")
    private String status;
    @ApiModelProperty(name = "createdTimeStart", value = "创建时间开始")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createdTimeStart;
    @ApiModelProperty(name = "createdTimeEnd", value = "创建时间结束")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createdTimeEnd;
    @ApiModelProperty(name = "userName", value = "客户企业名称/客户id")
    private String userName;
}
