package com.trade.service.serialNum.service;

/**
 * @Description:编号生成器接口
 * @Author:wanxiangZhou
 * @E-mail:zhouyu@sunxung.cn
 * @Date:2017年10月27日 下午5:06:55
 */
public interface SerialNumberGenerator {

    /**
     * 根据当前日期的下一个编号值。要求：编号需要唯一。
     * 
     * @param prefixType 编号前缀类型，要求与ConstantUtil.java定义常量值一致
     * @return
     */
    String nextValue(String prefixType);

    /**
     * ``根据当前日期的下一个编号值。要求：编号需要唯一。
     * 
     * @param prefixType 编号前缀类型，要求与ConstantUtil.java定义常量值一致
     * @param extend 扩展字段，用于生成唯一编号
     * @return
     */
    String nextValue(String prefixType, String extend);
}
