package com.trade.service.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.trade.common.core.domain.BizBaseEntity;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 国家地区表
 * </p>
 *
 * @author baomidou
 * @since 2024-06-12
 */
@Getter
@Setter
@TableName("sys_country")
@ApiModel(value = "SysCountry对象", description = "国家地区表")
public class SysCountry extends BizBaseEntity {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty("国家/地区编码")
    @TableField("`code`")
    private String code;
    @ApiModelProperty("名称")
    @TableField("`name`")
    private String name;
    @ApiModelProperty("大洲")
    @TableField("continent")
    private String continent;
    @ApiModelProperty("显示顺序")
    @TableField("gradation")
    private Integer gradation;
    @ApiModelProperty("业务等级")
    @TableField("level")
    /**
     * 国家等级梯队枚举值 CR_
     * 
     * @see com.trade.client.advocacypage.constant.StandardSettingEnum
     */
    private Integer level;
}
