package com.trade.service.system.service;

import com.trade.service.system.domain.SysCountry;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 国家地区表 服务类
 * </p>
 *
 * @author baomidou
 * @since 2024-06-12
 */
public interface SysCountryService extends IService<SysCountry> {

    /**
     * 获取所有国家地区列表
     *
     * @return List<SysCountry>
     */
    List<SysCountry> queryCountryList();

    /**
     * 根据大洲获取国家地区列表
     * 
     * @param continent 地区
     * @return List<SysCountry>
     */
    List<SysCountry> queryCountryListByContinent(String continent);

    /**
     * 根据国家地区编码获取国家地区信息
     * 
     * @param code 国家地区编码
     * @return 国家信息
     */
    SysCountry queryCountryByCode(String code);
}
