package com.trade.service.thirdparty.xiaotu.dto;

import lombok.Data;

import java.util.List;

/**
 * @description: 海关税则查询接口详细
 * @Author: wanglang
 * @Date: 2024/9/19
 * @Version: 1.0
 */
@Data
public class CommodityCustomsTariffRespose {

    // 商品 ID
    private String SPID;
    // 出口商品代码
    private String CKSP_DM;
    // 出口商品名称
    private String CKSPMC;
    // 税种, V 是增值税，C 是消费税"
    private String SZ;
    // 退税率
    private String TSL;
    // 海关计量单位名称
    private String HGJLDWMC;
    // 海关计量单位代码
    private String HGJLDW_DM;
    // 出口商品特殊商品类型代码, 1 禁止出口/出口不退税商品 2 免税商品
    private String CKSPTSSPLX_DM;
    // 征税税率集合
    private String ZSSLJH;
    // 有效期起
    private String YXQQ;
    // 有效期止
    private String YXQZ;
    // 从量定额征税
    private String CLDEZS;
    // 从价定率征税
    private String CJDLZS;
    // 备注
    private String BZ;
    //
    private Spmgslzpinfo SPMGSLZPINFO;
    private List<Spmhgszinfo> SPMHGSZINFO;

    @Data
    public static class Spmgslzpinfo {

        // 大类编号
        private String BIGCLASSID;
        // 大类名称
        private String BIGCLASSNAME;
        // 品目编号
        private String CATEGORYID;
        // 品目名称
        private String CATEGORYNAME;
        // 章节编号
        private String CLASSID;
        // 章节名称
        private String CLASSNAME;
        // 最大章节编号
        private String MAXCLASSID;
        // 最小章节编号
        private String MINCLASSID;
    }

    @Data
    public static class Spmhgszinfo {

        // HS 编码
        private String HSCODE;
        // 中文描述
        private String HSNAME;
        // 英文描述
        private String HSENGLISH;
        // CIQ 代码
        private String CIQ;
        // 申报要素
        private String HSSBYS;
        // 第一单位
        private String HSDYDW;
        // 第二单位
        private String HSDEDW;
        // 监管条件
        private String HSHGJGTJ;
        // 检疫条件
        private String HSJYYYLB;
        // 最惠国进口税率
        private String HSZHGJKSL;
        // 普通进口税率
        private String HSPTJKSL;
        // 暂定进口税率
        private String HSZDJKSL;
        // 进口增值税
        private String HSZZSL;
        // 进口其他税
        private String HSJKQTSL;
        // 对美加征关税
        private String HSDMJZGSL;
        // 备注
        private String NOTE;
    }
}
