package com.trade.service.thirdparty.xiaotu.dto;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * @description: 商品响应
 * @Author: wanglang
 * @Date: 2024/9/18
 * @Version: 1.0
 */
@Data
public class CommodityResponse {

    /**
     * 商品 ID
     */
    @JSONField(name = "SPID")
    private String spid;
    /**
     * 出口商品代码
     */
    @JSONField(name = "CKSP_DM")
    private String ckspDm;
    /**
     * 出口商品名称
     */
    @JSONField(name = "CKSPMC")
    private String ckspmc;
    /**
     * 税种, V 是增值税，C 是消费税
     */
    @JSONField(name = "SZ")
    private String sz;
    /**
     * 退税率
     */
    @JSONField(name = "TSL")
    private String tsl;
    /**
     * 海关计量单位名称
     */
    @JSONField(name = "HGJLDWMC")
    private String hgjldwmc;
    /**
     * 海关计量单位代码
     */
    @JSONField(name = "HGJLDW_DM")
    private String hgjldwDm;
    /**
     * "出口商品特殊商品类型代码, 1 禁止出口/出口不退税商品 2 免税商品
     */
    @JSONField(name = "CKSPTSSPLX_DM")
    private String cksptssplxDm;
    /**
     * 征税税率集合
     */
    @JSONField(name = "ZSSLJH")
    private String zssljh;
}
