package com.trade.service.thirdparty.xiaotu.service;

import com.trade.service.thirdparty.xiaotu.dto.*;

import java.util.List;

public interface XiaotuRequestService {

    /**
     * 用户信息注册
     * 
     * @param request
     * @return
     */
    RegisterUserResponse registerUser(RegisterUserRequest request);

    /**
     * 用户信息修改
     *
     * @param request
     * @return
     */
    Boolean updateUser(UpdateUserRequest request);

    /**
     * 企业信息注册
     *
     * @param request
     * @return
     */
    RegisterEnterpriseResponse registerEnterprise(RegisterEnterpriseRequest request);

    /**
     * 退税税率查询接口
     *
     * @param commodityRequest
     * @param businessCommonRequest
     * @return CommodityResponse
     */
    CommodityResponse taxRefundRateInquiry(CommodityRequest commodityRequest,
            BusinessCommonRequest businessCommonRequest);

    /**
     * 海关税则查询接口
     *
     * @param spid 商品id
     * @param businessCommonRequest
     * @return CommodityCustomsTariffRespose
     */
    CommodityCustomsTariffRespose commodityCustomsTariffInquiry(String spid,
            BusinessCommonRequest businessCommonRequest);

    /**
     * 小图通用查询接口 - 带分页
     *
     * @param request 请求参数
     * @param <T> 返回类型
     * @return CommonQueryResponse<T>
     */
    <T extends CommonResultRows> CommonQueryResponse<T> queryCommonResponse(CommonQueryRequest request);

    /**
     * 小图通用查询接口 - 仅返回rows
     *
     * @param request 请求参数
     * @param <T> 返回类型
     * @return List<T>
     */
    <T extends CommonResultRows> List<T> queryCommonResponseRows(CommonQueryRequest request);

    /**
     * 报关单查询接口
     * 
     * @param request 报关单查询请求参数
     * @return List<CustomsDeclarationResponse> 报关单查询结果
     */
    List<CustomsDeclarationResponse> customsDeclarationInquiry(CustomsDeclarationRequest request);
}
