package com.trade.service.tradingPlatform.domain;

import java.util.Date;

import com.trade.common.core.domain.BaseEntity;

/**
 * 贸易平台表实体类
 *
 * @author hlb
 * @since 2024-06-05 17:00:03
 */
public class TradingPlatform extends BaseEntity<TradingPlatform> {
    /**
     * 贸易平台名称
     */
    private String platformName;
    /**
     * 贸易平台编码
     */
    private String platformCode;
    /**
     * 所属地区，枚举类型district_code
     */
    private String districtCode;
    /**
     * 成立时间
     */
    private Date establishDate;
    /**
     * 证件编号
     */
    private String certNo;
    /**
     * 法人代表
     */
    private String legalName;
    /**
     * 注册地址
     */
    private String registerAddress;
    /**
     * 经营地址
     */
    private String businessAddress;
    /**
     * 联系人姓名
     */
    private String contactName;
    /**
     * 联系邮箱
     */
    private String contactEmail;
    /**
     * 联系电话
     */
    private String contactMobile;
    /**
     * 海关企业代码
     */
    private String customsEnterpriseCode;
    /**
     * 税号
     */
    private String taxNum;
    /**
     * 开户银行
     */
    private String bankName;
    /**
     * 银行卡号
     */
    private String bankNum;
    /**
     * 是否拥有中信保保单，枚举：sys_yes_no
     */
    private String hasSinosureInsurance;
    /**
     * 备注信息
     */
    private String remark;

    public String getPlatformName() {
        return platformName;
    }

    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    public String getPlatformCode() {
        return platformCode;
    }

    public void setPlatformCode(String platformCode) {
        this.platformCode = platformCode;
    }

    public String getDistrictCode() {
        return districtCode;
    }

    public void setDistrictCode(String districtCode) {
        this.districtCode = districtCode;
    }

    public Date getEstablishDate() {
        return establishDate;
    }

    public void setEstablishDate(Date establishDate) {
        this.establishDate = establishDate;
    }

    public String getCertNo() {
        return certNo;
    }

    public void setCertNo(String certNo) {
        this.certNo = certNo;
    }

    public String getLegalName() {
        return legalName;
    }

    public void setLegalName(String legalName) {
        this.legalName = legalName;
    }

    public String getRegisterAddress() {
        return registerAddress;
    }

    public void setRegisterAddress(String registerAddress) {
        this.registerAddress = registerAddress;
    }

    public String getBusinessAddress() {
        return businessAddress;
    }

    public void setBusinessAddress(String businessAddress) {
        this.businessAddress = businessAddress;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactEmail() {
        return contactEmail;
    }

    public void setContactEmail(String contactEmail) {
        this.contactEmail = contactEmail;
    }

    public String getContactMobile() {
        return contactMobile;
    }

    public void setContactMobile(String contactMobile) {
        this.contactMobile = contactMobile;
    }

    public String getCustomsEnterpriseCode() {
        return customsEnterpriseCode;
    }

    public void setCustomsEnterpriseCode(String customsEnterpriseCode) {
        this.customsEnterpriseCode = customsEnterpriseCode;
    }

    public String getTaxNum() {
        return taxNum;
    }

    public void setTaxNum(String taxNum) {
        this.taxNum = taxNum;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankNum() {
        return bankNum;
    }

    public void setBankNum(String bankNum) {
        this.bankNum = bankNum;
    }

    public String getHasSinosureInsurance() {
        return hasSinosureInsurance;
    }

    public void setHasSinosureInsurance(String hasSinosureInsurance) {
        this.hasSinosureInsurance = hasSinosureInsurance;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

}

