package com.trade.service.tradingPlatform.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.trade.service.tradingPlatform.domain.TradingPlatform;
import com.trade.service.tradingPlatform.dto.TradingPlatformBaseInfo;
import com.trade.service.tradingPlatform.dto.TradingPlatformDto;
import com.trade.service.tradingPlatform.dto.TradingPlatformSearchDto;

import java.util.List;

/**
 * 贸易平台基础服务接口
 *
 * @author hlb
 * @since 2024-06-05 17:00:03
 */
public interface TradingPlatformBaseService extends IService<TradingPlatform> {
    /**
     * 贸易平台基础信息列表查询
     *
     * @param search
     * @return
     */
    List<TradingPlatformBaseInfo> findBySearch(TradingPlatformSearchDto search);

    /**
     * 根据id查询贸易平台详细信息
     *
     * @param id
     * @return
     */
    TradingPlatformDto findDetailInfoById(Long id);
}

